library ieee;
use ieee.std_logic_1164.all;

package CamModPack is

   -- Konstante fuer weies Pixel in RGB 565                  = F F F F
   constant CWeiss    : std_logic_vector(15 downto 0) := "1111111111111111";
   -- Konstante fuer hellgraues Pixel in RGB 565              = 7 B E F
   constant CHell     : std_logic_vector(15 downto 0) := "0111101111101111";   
   -- Konstante fuer mittelgraues Pixel in RGB 565            = 3 9 E 7
   constant CMittel   : std_logic_vector(15 downto 0) := "0011100111100111";
   -- Konstante fuer dunkelgraues Pixel in RGB 565            = 1 8 E 3   
   constant CDunkel   : std_logic_vector(15 downto 0) := "0001100011100011";
   -- Konstante fuer schwarzes Pixel in RGB 565               = 0 0 0 0  
   --constant CBlack   : std_logic_vector(15 downto 0) := "0000000000000000";
   -- Konstante fuer Spalten pro Farbe                                     
   constant CCol     : integer := 2;           

end CamModPack;




