library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_signed.all;
use work.CamModPack.all;

entity CamModTbE is
end CamModTbE;

architecture CamModTbA of CamModTbE is
  
  component CamModE
    port (
    PixCam   : out std_logic_vector(7 downto 0);
    HSyncCam : out std_logic;
    VSyncCam : out std_logic;
    PClk     : out std_logic);
  end component; 
  signal PixCamS : std_logic_vector(7 downto 0);
  signal HSyncS                  : std_logic;
  signal VSyncS                  : std_logic;
  signal PClkS                    : std_logic;
 
 begin  

  CamModEL : CamModE
    port map (
      PixCam => PixCamS,
      HSyncCam   => HSyncS,
      VSyncCam   => VSyncS,
      PClk     => PClkS);
end CamModTbA;
